Subject: Re: [bitcoin-dev] Taproot activation meeting on IRC - Tuesday 16th March 19:00 UTC

From: Emil Pfeffer <[email-masked]>
Date: Fri, 19 Mar 2021 10:45:44 +0000

On Wed, Mar 17, 2021 at 09:21:39AM +0100, Prayank wrote:
> >??the last thing we need is
> a rushed upgrade
> 
> Why do you think this is rushed? Speedy Trial will have few months and if UASF is required it won't involve activation immediately after ST fails. Taproot by 2022 doesn't look rushed approach IMO.

That depends on your perception of time. Back in the day we also had people that thought 10 min avg block time is too much.
Taproot by the end of 2022 *using a single activation method* is not rushed. Taproot
by 2022 by all means necessary is tyranny. (will add to this later on)

> 
> >??We're not changing things that we worked out already.??
> 
> Which things have we worked out that cannot be changed or not changed earlier?
> 
Plenty. Starting from the parameters of bitcoin consensus to the way Bitcoin Core
is organized to the minimum time of 18 months an upgrade needs to last. (based on prior experience)
If you want to challenge any of the old rules it takes more than ignoring them
and doing whatever you feel like (is useful to get the result you want (again the tyrant theme)).

I would go as far as to say that 18 months is not ideal and we might need 24 to 36
and that any upgrade of this kind needs to take at least the amount of time the
previous one took but ideally longer.

The motivation is pretty straight forward. If you pretend users decide then you will
understand users have others things to do than continously keeping up with Bitcoin
and in order for them to make an informed decision there needs to be plenty of time.

Otherwise you're repeating the tyranical argument which has become a recurring theme
of the discourse of some of the Bitcoin Core developers. (which is a loose term)

> > how long till we go back and change the coin supply?
> 
> Coin supply has nothing to do with soft fork activation mechanism IMO.

Thats true but not what I said.

> 
> > I understand??some of you have no patience and would like mass adoption tomorrow but??those are exactly the people that do not have a say in Bitcoin development. If you want to get rich quick you do not care about Bitcoin.
> 
> Taproot activation or discussion about activation mechanism does not have 100% correlation with mass adoption. It just improves Bitcoin and helps few projects mentioned in??https://en.bitcoin.it/wiki/Taproot_Uses
> Nobody is talking about get rich quick schemes in Taproot Activation related meetings. At least I have not seen anyone.
> 

Thats also true but also not what I said.

> > If you??want faster development??cycles then you have lightning to play with.
> 
> Better development cycles with less delay, less misinformation, less politics, less probability of things being exploited by mining pools or other people, organization etc. with their influence. Lightning Network is a separate project focused on layer 2 and I think it will also benefit from Taproot.
> 

This is the recurring theme of the tyrant that shows up in a lot of the posts on this
list. 
Who is this entity that gets to decide what happens regardless of what everyone 
else has to say? You seem to believe that there exists some entity that gets to decide what goes on and gets to exclude anyone it wants from the decision making process.

> >??we *DO NOT* change things we already established in the past
> 
> Interested to know who is "we" in this sentence and what are the "things" that cannot be changed.

"we" is a reference to "we're all Satoshi" and the "things" you will learn by learning the past.

> 
> >??In order to solve the LOT debate lets give Wladimir the power??to decide on his own and if he has no strong opinions he should just flip a coin.
> 
> LOT has become LOL. If this is about Bitcoin Core maintainers deciding things for Bitcoin Core, sure they already do. But users have the freedom to decide if they want to run it with default settings or use other implementation.

This is your way of passing the buck around. If you do not yet know what your
responsabilities are that does not make you not responsable for anything. 
Bitcoin Core has responsabilities regardless of the rethoric.

> 
> >??MAST threshold can be even lower because it is not representative of an economic majority??and it could speed up the upgrade.
> 
> Agree
> 
> >??At this point involve as few people as possible and get it done. This is just about the??software and the parameters of the new consesus.
> 
> Everyone should be welcome to participate in meetings, ask questions, learn more and contribute. I don't see anything wrong with it.

That depends on the scope of the meetings. If the meeting is about making progress on
an issue very few people have any clue about then it is desirable that the people
that are looking to learn should do so using other venues.
> -- 
> Prayank

--